B15F Board 15 Famulus Edition

Public Member Functions | List of all members
Dot Class Reference

`#include <dot.h>`

## Public Member Functions
| Dot (uint16_t x, uint16_t y, uint8_t curve)
uint16_t | getX (void) const
uint16_t | getY (void) const
uint8_t | getCurve (void) const

## Detailed Description

Immutable dot class with x and y coordinate and curve index. Dots with the same curve index get the same color by plotty.

Definition at line 12 of file dot.h.

## Constructor & Destructor Documentation

## ◆ Dot()

Dot::Dot | ( | uint16_t | x,
|  | uint16_t | y,
|  | uint8_t | curve
| ) |  |

Constructor with x and y coordinate and curve index.

Definition at line 3 of file dot.cpp.

## Member Function Documentation

## ◆ getCurve()

uint8_t Dot::getCurve | ( | void |  | ) | const

Returns the curve index.

Definition at line 19 of file dot.cpp.

## ◆ getX()

uint16_t Dot::getX | ( | void |  | ) | const

Returns the x coordinate.

Definition at line 9 of file dot.cpp.

## ◆ getY()

uint16_t Dot::getY | ( | void |  | ) | const

Returns the y coordinate.

Definition at line 14 of file dot.cpp.

The documentation for this class was generated from the following files:

- drv/dot.h
- drv/dot.cpp